Commit 1f4ada2a428c8d4af3cc0f12086700cda6e19e3a

Etienne Samson 2018-04-20T23:11:23

travis: let cmake perform the build & install step The goal is to let cmake manage the parallelism

1
2
3
4
5
6
7
8
9
10
diff --git a/script/cibuild.sh b/script/cibuild.sh
index 42705b1..43ca976 100755
--- a/script/cibuild.sh
+++ b/script/cibuild.sh
@@ -25,4 +25,4 @@ mkdir _build
 cd _build
 # shellcheck disable=SC2086
 cmake .. -DBUILD_EXAMPLES=ON -DCMAKE_INSTALL_PREFIX=../_install $OPTIONS || exit $?
-make -j2 install || exit $?
+cmake --build . --target install || exit $?